<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>MatICCFactor</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="MatICCFactor"><H1>MatICCFactor</H1></A>
Performs in-place incomplete Cholesky factorization of matrix. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscmat.h" 
PetscErrorCode  MatICCFactor(Mat mat,IS row,MatFactorInfo* info)
</PRE>
Collective on <A HREF="../Mat/Mat.html#Mat">Mat</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>mat </B></TD><TD>- the matrix
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>row </B></TD><TD>- row/column permutation
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>fill </B></TD><TD>- expected fill factor &gt;= 1.0
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>level </B></TD><TD>- level of fill, for ICC(k)
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
Probably really in-place only when level of fill is zero, otherwise allocates
new space to store factored matrix and deletes previous memory.
<P>
Most users should employ the simplified <A HREF="../KSP/KSP.html#KSP">KSP</A> interface for linear solvers
instead of working directly with matrix algebra routines such as this.
See, e.g., <A HREF="../KSP/KSPCreate.html#KSPCreate">KSPCreate</A>().
<P>

<P>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Mat/MatICCFactorSymbolic.html#MatICCFactorSymbolic">MatICCFactorSymbolic</A>(), <A HREF="../Mat/MatLUFactorNumeric.html#MatLUFactorNumeric">MatLUFactorNumeric</A>(), <A HREF="../Mat/MatCholeskyFactor.html#MatCholeskyFactor">MatCholeskyFactor</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>developer
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/mat/interface/matrix.c.html#MatICCFactor">src/mat/interface/matrix.c</A>
<BR><A HREF="./index.html">Index of all Mat routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
